Page MenuHomePhabricator

When searching "My lists" or "History", whitespace should be trimmed.
Closed, ResolvedPublic

Description

While inside the Search action mode, the current search query should have any leading and trailing whitespace trimmed. This should apply to the following places:

  • My lists (ReadingListsFragment)
  • Individual reading list (ReadingListFragment)
  • History (HistoryFragment).

The expected result after finishing at least one of the implementation is, that searching for " Android" or "Android " or " Android " both returns a page named "Android", instead of not showing it.

Event Timeline

Dbrant created this task.Oct 30 2017, 10:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2017, 10:24 PM
Florian updated the task description. (Show Details)Nov 14 2017, 7:30 PM
Florian moved this task from Proposed tasks to Imported in GCI Site on the Google-Code-in-2017 board.
Florian added a subscriber: Florian.
AnmolSingh added a subscriber: AnmolSingh.

I claimed this task in GCI dashboard. Trying to claim it here too before getting started.

Dbrant closed this task as Resolved.Nov 29 2017, 3:07 PM

This task has already been completed: https://gerrit.wikimedia.org/r/394009

What should i do as i have it claimed in my Google Code-in Dashboard. Abandone it?

Filip added a subscriber: Filip.Nov 29 2017, 3:11 PM
This comment was removed by Filip.

Hi @AnmolSingh! Big sorry for that confusion, please excuse my fault when publishing/creating the GCI task :/ The task shouldn't have 2 instances, it should've only one. It would be great if you could abandon the task in GCI. Again, please excuse this confusion :/

What @Filip said would be ok for me, too, depending on how much effort you already invested in the task :)

Filip added a comment.Nov 29 2017, 3:15 PM

@Florian It happend few times during GCI2016, but only in case where student investigated this issue